Subject: pull-request: can-next 2015-05-06

From: Marc Kleine-Budde <[email-masked]>
Date: Wed, 6 May 2015 23:21:06 +0200

Hello David,

this is a pull request of a seven patches for net-next/master.

Andreas Gröger contributes two patches for the janz-ican3 driver. In
the first patch, the documentation for already existing sysfs entries
is added, the second patch adds support for another module/firmware
variant. A patch by Shawn Landden makes the padding in the struct
can_frame explicit. The next 4 patches target the flexcan driver, the
first one is by David Jander adding some documentation, the reaming
three by me add more documentation and two small code cleanups.

regards,
Marc

---

The following changes since commit 239fb791d4ee194740e69fe9694f58ec404d1689:

  vxlan: Correctly set flow*i_mark and flow4i_proto in route lookups (2015-05-05 19:37:54 -0400)

are available in the git repository at:

  git://git.kernel.org/pub/scm/linux/kernel/git/mkl/linux-can-next.git tags/linux-can-next-for-4.2-20150506

for you to fetch changes up to 10d089bd4b289cbe08d2565f34e030c8980682f4:

  can: flexcan: replace open coded "mailbox code" by proper define (2015-05-06 22:57:27 +0200)

----------------------------------------------------------------
linux-can-next-for-4.2-20150506

----------------------------------------------------------------
Andreas Gröger (2):
      can: janz-ican3: add documentation for existing sysfs entries
      can: janz-ican3: add support for CAL/CANopen firmware

David Jander (1):
      can: flexcan: add MB/FIFO specific column to comment table of IP versions

Marc Kleine-Budde (3):
      can: flexcan: add documentation about mailbox organization
      can: flexcan: rename struct flexcan_regs::crl2 -> ctrl2
      can: flexcan: replace open coded "mailbox code" by proper define

Shawn Landden (1):
      can.h: make padding given by gcc explicit

 .../ABI/testing/sysfs-bus-pci-drivers-janz-cmodio  |   8 ++
 .../ABI/testing/sysfs-class-net-janz-ican3         |  19 ++++
 Documentation/networking/can.txt                   |   3 +
 drivers/mfd/janz-cmodio.c                          |   4 +
 drivers/net/can/flexcan.c                          |  53 +++++----
 drivers/net/can/janz-ican3.c                       | 125 +++++++++++++++------
 include/uapi/linux/can.h                           |   6 +
 7 files changed, 159 insertions(+), 59 deletions(-)
 create mode 100644 Documentation/ABI/testing/sysfs-bus-pci-drivers-janz-cmodio
 create mode 100644 Documentation/ABI/testing/sysfs-class-net-janz-ican3

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |